<?php if ( post_password_required() ) : ?>
<p><?php _e('Enter your password to view comments.'); ?></p>
<?php return; endif; ?>

<div id="commentdiv">
<?php if ( $comments ) : ?>

<h2 id="comments">
<?php comments_number();?>
<?php if ( comments_open() ) : ?>
<a href="#respond" title="<?php _e('Leave a comment'); ?>"> &raquo;&raquo;</a>
<?php endif; ?>
</h2>

<!-- Comments -->
<?php foreach ($comments as $comment) : 
if ($comment->comment_type != "trackback" && $comment->comment_type != "pingback" && !ereg("<pingback />", $comment->comment_content) && !ereg("<trackback />", $comment->comment_content)) { ?>
<div <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
	<p class="commentmetadata"><?php echo get_avatar( $comment, 32 ); ?>
		<a href="#comment-<?php comment_ID() ?>" title="<?php _e('Comment'); ?> #<?php comment_ID() ?>">#<?php comment_ID() ?></a> | <cite><?php comment_author_link() ?></cite><br/><?php comment_date('j F Y') ?> - <?php comment_time('H') ?> <?php _e('hours'); ?> <?php comment_time('i') ?><?php edit_comment_link('e',' |',''); ?>
	</p><!-- End commentmetadata -->
	<div class="commenttext">
	
		<?php if ($comment->comment_approved == '0') : ?>
			<em class="cmoderation"><?php _e('Your comment is awaiting moderation.'); ?></em><br/>
		<?php endif; ?>
		<?php comment_text() ?>
	</div><!-- End commenttext -->
</div><!-- End commentlist -->
<? } ?>
<?php endforeach; ?>

<!-- End comments -->

<!-- Trackbacks -->
<h3 id="trackbacks"><?php _e('Trackback') ?> <a href="<?php trackback_url(); ?>" title="<?php _e('Send Trackbacks') ?>">&raquo;&raquo;</a></h3>
<?php foreach ($comments as $comment) : 
if ($comment->comment_type == "trackback" || $comment->comment_type == "pingback" || ereg("<pingback />", $comment->comment_content) || ereg("<trackback />", $comment->comment_content)) { ?>
<div <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
	<p class="commentmetadata"><?php echo get_avatar( $comment, 32 ); ?>
		<a href="#comment-<?php comment_ID() ?>" title="<?php _e('Trackback'); ?> #<?php comment_ID() ?>">#<?php comment_ID() ?></a> | <cite><?php comment_author_link() ?></cite><br/><?php comment_date('j F Y') ?> - <?php comment_time('H') ?> <?php _e('hours'); ?> <?php comment_time('i') ?><?php edit_comment_link('e',' |',''); ?>
	</p><!-- End cmeta -->
	<div class="commenttext">
	<?php if ($comment->comment_approved == '0') : ?><em class="cmoderation"><?php _e('Your comment is awaiting moderation.'); ?></em><br/>
	<?php endif; ?>
	<?php comment_text() ?>
	</div><!-- End commenttext -->
</div><!-- End commentlist -->
<? } ?>
<?php endforeach; ?>


<!-- End Trackbacks -->	
		
	<?php else : ?>
	<?php endif; ?>
	<?php if ( comments_open() ) : ?>

<!-- Comments form -->	
<h3 id="respond"><?php _e('Leave a Reply') ?></h3>
 
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
	<p><?php _e('Sorry, you must be logged in to post a comment.') ?></p>
<?php else : ?>

<form action="<?php echo bloginfo('url'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( $user_ID ) : ?>
	<p><?php printf(__('Logged in as %s.'), '<a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a>'); ?> <a href="<?php echo wp_logout_url( get_permalink() ); ?>" title="<?php _e('Log out of this account') ?>"><?php _e('Log out &raquo;'); ?></a></p>
<?php else : ?>

	<p>
		<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" />
		<label for="author"><?php _e('Name') ?> <?php if ($req) _e('(required)'); ?></label>
	</p>
	<p>
		<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" /> 
		<label for="email"><?php _e('Mail (will not be published)') ?> <?php if ($req) _e('(required)'); ?></label>
	</p>
	<p>
		<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" />
		<label for="url"><?php _e('Website') ?></label>
	</p>

<?php endif; ?>

	<p>
		<textarea name="comment" id="comment" cols="60" rows="12" ></textarea>
	</p>
	<p>
		<input name="submit" type="submit" id="submit" value="<?php _e('Submit') ?>" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
		<?php do_action('comment_form', $post->ID); ?>
	</p>
	</form>
<!-- End comments form -->
<?php endif; ?>

<!-- Closed comments -->
<?php else : ?>
<h2><?php _e('Sorry, comments are closed for this item.') ?></h2> 
<?php endif; ?>
<!-- End Closed comments -->

</div>